<template>
  <div @click.stop>
    <p>{{ role }} role</p>
    <a v-if="name" :href="link">{{ name }}</a>
    <span v-else>unknown</span>
    <b-dropdown id="dropdown-1" text="Изменить" class="m-md-2">
      <b-dropdown-item
        @click.stop="choseUser(role, user)"
        v-for="user in boardInfo.users"
        :key="user.id"
        >{{ user.userInfo.name ? user.userInfo.name : "kek" }}</b-dropdown-item
      >
    </b-dropdown>
  </div>
</template>
<script>
import { mapGetters, mapActions } from "vuex";

export default {
  name: "Person",
  props: {link: String, name: String, role: String},
  computed: {
    ...mapGetters({ boardInfo: "getBoard" }),
  },
  methods: {
    ...mapActions(["changeTaskMakers"]),
    choseUser(role, user) {
      let path = this.$route.params.board_id + "/" + this.$route.params.id;
      this.changeTaskMakers({ user: user, role: role, path: path });
    },
  },
};
</script>

<style scoped></style>
